Page MenuHomePhabricator

Add support for base address entries in the .debug_ranges section
ClosedPublic

Authored by tberghammer on Jul 30 2017, 6:20 PM.

Details

Reviewers
clayborg
Summary

Clang recently started to emit base address entries into the
.debug_ranges section to reduce the number of relocations needed. Lets
make sure LLDB can read them.

Event Timeline

tberghammer created this revision.Jul 30 2017, 6:20 PM

Submitted as rL309554 to get the buildbot using ToT clang green again but if you have any comment then let me know and I will address it in a followup CL.

clayborg accepted this revision.Aug 7 2017, 7:56 AM

I was out on vacation, sorry for the delay. Looks good.

This revision is now accepted and ready to land.Aug 7 2017, 7:56 AM
tberghammer closed this revision.Aug 16 2017, 4:43 AM